# Created by pyp2rpm-1.0.1
%global pypi_name extras
%define version 1.0.0

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        Useful extra bits for Python - things that should be in the standard library

License:        MIT
URL:            https://github.com/testing-cabal/extras
Source0:        https://pypi.io/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)


%description
extras is a set of extensions to the Python standard
library, originally
written to make the code within testtools cleaner, but now
split out for
general use outside of a testing context.


pydoc extras is your friend. extras currently contains the
following functions:

* try_import

* try_imports

* safe_hasattr

Which do
what their name ...


%package -n     python3-%{pypi_name}
Summary:        Useful extra bits for Python - things that should be in the standard library
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
extras is a set of extensions to the Python standard
library, originally
written to make the code within testtools cleaner, but now
split out for
general use outside of a testing context.


pydoc extras is your friend. extras currently contains the
following functions:

* try_import

* try_imports

* safe_hasattr

Which do
what their name ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}


%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python2} setup.py build


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 02 2017 bcornec <bcornec> 1.0.0-1.mga6
+ Revision: 1079638
- update to upstream python-extras 1.0.0.

* Fri Feb 19 2016 umeabot <umeabot> 0.0.3-4.mga6
+ Revision: 970868
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.0.3-3.mga6
+ Revision: 888766
- rebuild for python 3.5 + fixed summary

* Fri Sep 04 2015 daviddavid <daviddavid> 0.0.3-2.mga6
+ Revision: 872872
- add python3 package
- add upstream URL
- use new python2 macro
- update file list

* Mon Jul 13 2015 bcornec <bcornec> 0.0.3-1.mga6
+ Revision: 853467
- Fix missing dep on python-setuptools
- Import python-extras
- Created package structure for python-extras.

